> For the complete documentation index, see [llms.txt](https://docs.net2grid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.net2grid.com/device-management-api/label-partner-configuration/labelpartners-labelpartner-streamer-async-high-resolution-configuration.md).

# /labelpartners/{labelpartner}/streamer/async-high-resolution/configuration

Sets the configuration of asynchronous high resolution reporting for all devices registered to a specific label partner. The configuration includes the following parameters:

* `is_idd_enabled`: A boolean flag indicating whether IDD measurements will be included in the asynchronous high resolution reporting stream.
* `is_csd_enabled`: A boolean flag indicating whether CSD measurements will be included in the asynchronous high resolution reporting stream.
* `is_csr_enabled`: A boolean flag indicating whether CSR measurements will be included in the asynchronous high resolution reporting stream.
* `is_gas_enabled`: A boolean flag indicating whether GAS measurements will be included in the asynchronous high resolution reporting stream.

```json
{"openapi":"3.0.1","info":{"title":"Device Management API","version":"1.6.0"},"tags":[{"name":"Label Partner Configuration","description":"Commands to configure all devices of a specific label partner"}],"servers":[{"url":"https://device-management.n2g-{platform}.net/v2","variables":{"platform":{"default":"dev","description":"The platform name"}}}],"security":[{"api_key":[]}],"components":{"securitySchemes":{"api_key":{"type":"apiKey","name":"x-api-key","in":"header"}},"parameters":{"LabelPartner":{"name":"labelpartner","in":"path","description":"The label partner short name","required":true,"schema":{"type":"string"}}},"schemas":{"AsyncHighResolutionConfiguration":{"type":"object","description":"Configuration for Asynchronous High Resolution Reporting","required":["is_idd_enabled","is_csd_enabled","is_csr_enabled","is_gas_enabled"],"properties":{"is_idd_enabled":{"type":"boolean","description":"A boolean flag indicating whether IDD measurements will be included in the asynchronous high resolution reporting stream.\n"},"is_csd_enabled":{"type":"boolean","description":"A boolean flag indicating whether CSD measurements will be included in the asynchronous high resolution reporting stream.\n"},"is_csr_enabled":{"type":"boolean","description":"A boolean flag indicating whether CSR measurements will be included in the asynchronous high resolution reporting stream.\n"},"is_gas_enabled":{"type":"boolean","description":"A boolean flag indicating whether GAS measurements will be included in the asynchronous high resolution reporting stream.\n"}}},"SuccessfulResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The success message returned."}}},"ErrorResponse":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"The error message returned."},"code":{"type":"integer","description":"The error code returned."}}}},"responses":{"LabelPartnerNotFoundOrEmptyErrorResponse":{"description":"Not found:\n  - The thing group '{labelpartner}' was not found in the registry.\n  - The thing group '{labelpartner}' does not have any IoT Things associated with it.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"InternalServerErrorResponse":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/labelpartners/{labelpartner}/streamer/async-high-resolution/configuration":{"put":{"summary":"/labelpartners/{labelpartner}/streamer/async-high-resolution/configuration","description":"Sets the configuration of asynchronous high resolution reporting for all devices registered to a specific label partner. The configuration includes the following parameters:\n  - `is_idd_enabled`: A boolean flag indicating whether IDD measurements will be included in the asynchronous high resolution reporting stream.\n  - `is_csd_enabled`: A boolean flag indicating whether CSD measurements will be included in the asynchronous high resolution reporting stream.\n  - `is_csr_enabled`: A boolean flag indicating whether CSR measurements will be included in the asynchronous high resolution reporting stream.\n  - `is_gas_enabled`: A boolean flag indicating whether GAS measurements will be included in the asynchronous high resolution reporting stream.\n","operationId":"putLabelPartnerStreamerAsyncHighResolutionConfiguration","tags":["Label Partner Configuration"],"parameters":[{"$ref":"#/components/parameters/LabelPartner"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AsyncHighResolutionConfiguration"}}}},"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessfulResponse"}}}},"400":{"description":"Invalid request:\n  - Request body is required but was not provided.\n  - Schema validation failed due to error: Missing required key: '{key}'\n  - Schema validation failed due to error: Invalid key: '{key}'\n  - Schema validation failed due to error: Invalid type for key: '{key}'\n  - Schema validation failed due to error: Invalid value for key: '{key}'\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"$ref":"#/components/responses/LabelPartnerNotFoundOrEmptyErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerErrorResponse"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.net2grid.com/device-management-api/label-partner-configuration/labelpartners-labelpartner-streamer-async-high-resolution-configuration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
